<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ArrumacaoModel extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $table="arrumacoes";
    protected $fillable = [
        'caixa_id ',
        'fila_id ',
        'usuario_id '
    ];
    protected $dates = ['deleted_at'];
    public function getFileira()
    {
        return $this->belongsTo(Fileira::class, 'fila_id', 'id');
    }
    public function getCaixa()
    {
        return $this->belongsTo(Caixa::class, 'caixa_id', 'id');
    }
}
